       subroutine neutrino(u2,t2)
*
*  Neutrino rates from Munkata, Kohyama and Itoh (1985), Ap. J.  296, 197.
*    (Plasma, Photo, Pair)
*  and Beaudet, Petrosian, and Salpeter (1967), ApJ, 150, 979.
*    (Recomb.)
*  Bremsstrahlung from Lamb thesis (DeZotti)
*
* Standardized for ISUEVO by SDK: December 1990
* Modified for WDXD by PAB: Sept. 1990 (Fixed rho/mue problem Feb 1993)
*
       implicit double precision (a-h,o-z)

       common/neut/en(5),fn
       common/temp/s1,r1,s2,r2,b2,p2,tx2,e2,xc2,xo2,fca2,f2,q2,w2,c
       common/je/je
       common/c/az(3),zz3(3),taux,ts,ps,sm,rs,err,te,gs,rho,ol1x,rl1x,
     1 el1x,atgx,rtgx,tl,pl,xmass,acu,am,bk,an0,pi
       double precision mue

       t=10.d0**t2
       rho=10.d0**u2
       if(je.eq.1)then
         ce = 1.
        else
         ce = 2.
*
* note: MUE was AZX in old neutrino routine
*
         if(je.eq.3)then
           mue = 1./((xc2*6./12.)+(xo2*8./16.))
           zbar = (xc2*6.d0) + (xo2*8.d0)
         endif
       endif
*
*   zbar is the mean charge on a nucleus, for bremm and pair.  
*
       flam=t/5.9302d9
       cv=0.5d0+2.0d0*0.217d0
       cvp=1.d0-cv
       ca=0.5d0
       cap=1.d0-ca
       n = 2
       call plasma(flam,rho,mue,cv,cvp,ca,cap,n,qplas)
       call photo(flam,rho,mue,cv,cvp,ca,cap,n,qphot)
       call pair(flam,rho,mue,cv,cvp,ca,cap,n,qpair)
       call recomb(flam,t,rho,zbar,qrec)
       call bremm(t,rho,mue,zbar,qbrem)
       eplas=qplas/rho
       en(1) = eplas
       ephot=qphot/rho
       en(2) = ephot
       epair=qpair/rho
       en(3) = epair
       erec=qrec/rho
       en(4) = erec
       ebrem=qbrem/rho
       en(5) = ebrem
       etot=eplas+ephot+epair+erec+ebrem
       fn=etot
       return
       end

************************************************************************

